fun <T> List<T>.customAppend(inpList: List<T>): List<T>{
    return emptyList<T>()
}

fun <T> List<List<T>>.customConcat(): List<T>{
    return emptyList<T>()
}

fun <T> List<T>.customFilter(inpFunc: (T) -> Boolean): List<T>{
    return emptyList<T>()
}

fun <T> List<T>.customSize() : Int{
    return 0
}

fun <T> List<T>.customReverse(): List<T>{
    return emptyList<T>()
}

fun <T> List<T>.customFoldLeft(acc: T, inpFunc: (T, T) -> T): List<T>{
    return emptyList<T>()
}

fun <T> List<T>.customFoldRight(acc: T, inpFunc: (T, T) -> T): List<T>{
    return emptyList<T>()
}